# SEPA Mandate anlegen

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## SEPA Mandate anlegen

#### Version 1.2

***

## POST /openwowi/v1.2/PersonsWrite/SepaMandate

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateDto":{"type":"object","properties":{"NodeId":{"type":"integer","format":"int32"},"SepaCreditorIdentifierId":{"type":"integer","format":"int32"},"MandateId":{"type":"string","nullable":true},"OriginalCreditorName":{"type":"string","nullable":true},"BankaccountId":{"type":"integer","format":"int32","nullable":true},"AddressId":{"type":"integer","format":"int32","nullable":true},"SepaMandateTypeId":{"type":"integer","format":"int32"},"FormerlyDirectDebit":{"type":"boolean"},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"MultiplePaymentModes":{"type":"boolean"},"DateOfSignature":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PlaceOfSignature":{"type":"string","nullable":true},"SepaMandateStatusId":{"type":"integer","format":"int32"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/PersonsWrite/SepaMandate":{"post":{"tags":["OpenWowi PersonsWrite"],"operationId":"PersonsWrite_CreateSepaMandates","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateDto"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateResultDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateResultDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateResultDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## SEPA Mandate ändern

#### Version 1.2

***

## PUT /openwowi/v1.2/PersonsWrite/SepaMandate/{sepaMandateId}

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateDto":{"type":"object","properties":{"NodeId":{"type":"integer","format":"int32"},"SepaCreditorIdentifierId":{"type":"integer","format":"int32"},"MandateId":{"type":"string","nullable":true},"OriginalCreditorName":{"type":"string","nullable":true},"BankaccountId":{"type":"integer","format":"int32","nullable":true},"AddressId":{"type":"integer","format":"int32","nullable":true},"SepaMandateTypeId":{"type":"integer","format":"int32"},"FormerlyDirectDebit":{"type":"boolean"},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"MultiplePaymentModes":{"type":"boolean"},"DateOfSignature":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PlaceOfSignature":{"type":"string","nullable":true},"SepaMandateStatusId":{"type":"integer","format":"int32"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/PersonsWrite/SepaMandate/{sepaMandateId}":{"put":{"tags":["OpenWowi PersonsWrite"],"operationId":"PersonsWrite_UpdateSepaMandate","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"sepaMandateId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateDto"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateResultDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateResultDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaMandateResultDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## SEPA Gläubiger anlegen

#### Version 1.2

***

## POST /openwowi/v1.2/PersonsWrite/SepaCreditorIdentifier

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierDto":{"type":"object","properties":{"IdNum":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"NodeId":{"type":"integer","format":"int32"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/PersonsWrite/SepaCreditorIdentifier":{"post":{"tags":["OpenWowi PersonsWrite"],"operationId":"PersonsWrite_CreateSepaCreditorIdentifier","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierDto"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierResultDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierResultDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierResultDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## SEPA Gläubiger ändern

#### Version 1.2

***

## PUT /openwowi/v1.2/PersonsWrite/SepaCreditorIdentifier/{sepaCreditorIdentifierId}

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierDto":{"type":"object","properties":{"IdNum":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"NodeId":{"type":"integer","format":"int32"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/PersonsWrite/SepaCreditorIdentifier/{sepaCreditorIdentifierId}":{"put":{"tags":["OpenWowi PersonsWrite"],"operationId":"PersonsWrite_UpdateSepaCreditorIdentifier","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"sepaCreditorIdentifierId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierDto"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierResultDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierResultDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonEdit.SepaCreditorIdentifierResultDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/personendaten-aendern/sepa-mandate-anlegen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
